Package twisted :: Package python :: Module reflect :: Class Settable |
[show private | hide private]
[frames | no frames]

## Class Settable

A mixin class for syntactic sugar. Lets you assign attributes by calling with keyword arguments; for example, `x(a=b,c=d,y=z)` is the same as `x.a=b;x.c=d;x.y=z`. The most useful place for this is where you don't want to name a variable, but you do want to set some attributes; for example, `X()(y=z,a=b)`.

Method Summary
| `__init__(self, **kw)`
| `__call__(self, **kw)`

Generated by Epydoc 1.1 on Thu May 8 13:18:57 2003 | http://epydoc.sf.net